---
apiVersion: v1
kind: Service
metadata:
  name: {{include "snowplow-kinesis.fullname" .}}
  labels:
    app.kubernetes.io/name: {{include "snowplow-kinesis.name" .}}-collector
    helm.sh/chart: {{include "snowplow-kinesis.chart" .}}
    app.kubernetes.io/instance: {{.Release.Name}}
    app.kubernetes.io/managed-by: {{.Release.Service}}
{{- with .Values.service.annotations }}
  annotations:
{{ toYaml . | indent 4 }}
{{- end }}
spec:
  type: {{.Values.service.type}}
  ports:
    - port: {{.Values.service.port}}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{include "snowplow-kinesis.name" .}}-collector
    app.kubernetes.io/instance: {{.Release.Name}}
